Subject: CCL:Re: software evaluation / validation

From: Michel Petitjean <ptitjean-.at.-itodys.jussieu.fr>
Date: Mon, 8 Mar 2004 10:05:34 +0100 (MET)

To: chemistry-.at.-ccl.net
Subject: CCL:Re: software evaluation / validation

Andras.Borosy-.at.-givaudan.com wrote:
>...
> How is it possible  to reproduce scientific results obtained by commercial
> _OR_ academic software which relies on _RANDOM_ methods ?
>...

Use a random generator returning the same sequence on all platforms.
For successive runs on the same platform, a detailed description
of the algorithm should give access to the number of calls to the RG.
If you need different results on a given platform, just run several
times the calculation within a single programme call, when possible.

E.g. the ASV freeware contains an optional Monte-Carlo part:
http://petitjeanmichel.free.fr/itoweb.petitjean.freeware.html#ASV
(van der Waals surfaces and volumes; also calculated analytically)
The Monte-Carlo results are the same on all platforms, provided
that all input parameters are identical (includes the number of
runs and the numbers of random observations)  Performing several
Monte-Carlo within a single call is possible.
The same remarks apply to CSR (3D alignments):
http://petitjeanmichel.free.fr/itoweb.petitjean.freeware.html#CSR

Commercial softwares should be able to do so.
If not, use adequate academic softwares, or built yourself the programmes.

Michel Petitjean,                     Email: petitjean-.at.-itodys.jussieu.fr
ITODYS (CNRS, UMR 7086)                      ptitjean-.at.-ccr.jussieu.fr
http://petitjeanmichel.free.fr/itoweb.petitjean.html